# Welcome To Custom Tkinter Builder

This is a Free and Open Source [RAD](https://en.wikipedia.org/wiki/Rapid_application_development) tool for [Custom Tkinter](https://github.com/TomSchimansky/CustomTkinter). This software allows you to create complex UI faster than ever⚡



<a href="https://www.producthunt.com/posts/custom-tkinter-builder?embed=true&utm_source=badge-featured&utm_medium=badge&utm_souce=badge-custom&#0045;tkinter&#0045;builder" target="_blank"><img src="https://api.producthunt.com/widgets/embed-image/v1/featured.svg?post_id=750366&theme=neutral" alt="Custom&#0032;Tkinter&#0032;Builder - The&#0032;free&#0032;and&#0032;open&#0032;source&#0032;UI&#0032;builder&#0032;for&#0032;CustomTkinter✨ | Product Hunt" style="width: 250px; height: 54px;" width="250" height="54" /></a>


![Software](https://github.com/rigvedmaanas/CustomTkinterBuilder/assets/77579661/77efd633-461e-4d30-be27-3d5d61045aa6)

# Features

* ✅ **Drag and Drop** user interface
* ✅ Adjust **all the parameters** of all the widgets.
* ✅ Supports responsive **Pack** method
* ✅ Supports **15/16 core widgets**
* ✅ Includes **10 pre customized** widgets
* ✅ Includes **inbuilt icon** support (more than **2000** ready to use icons with 5 different styles and customisable color)
* ✅ Includes **Palette** which allows the users to change the colors of a UI with a single click of a button.
* ✅ Supports **Scrollable Frame** (Vertical and Horizontal)
* ✅ Export to .py (OOP and standard)
* ✅ Save project (.json)
* ✅ Duplicate widgets, Delete Widgets, Change order of widgets and Change parent of widgets
* ✅ Visualize the structure of your UI with the inbuilt **Hierarchy Panel**
* ✅ Allows users to work on both **light** and **dark** mode of the UI
* ✅ Add images, change fonts, etc

# Examples

## Login
### Dark Mode
![Dark Mode - Login](https://github.com/rigvedmaanas/CustomTkinterBuilder/assets/77579661/133ef73f-3b55-4181-bf78-a4ba1e9b19a3)
### Light Mode
![Light Mode - Login](https://github.com/rigvedmaanas/CustomTkinterBuilder/assets/77579661/482ed8c3-0573-4103-9aa6-45d0258eacdf)


## Music Player
### Dark Mode
![Dark Mode - Spotify](https://github.com/rigvedmaanas/CustomTkinterBuilder/assets/77579661/28970507-3125-4cd8-bb42-d6a7d3fee359)
### Light Mode
![Light Mode - Spotify](https://github.com/rigvedmaanas/CustomTkinterBuilder/assets/77579661/eb2a3b08-02ac-4bea-bf5f-9da723bb6101)

## Video Library
![Youtube](https://github.com/rigvedmaanas/CustomTkinterBuilder/assets/77579661/612572d7-456c-45ef-aeff-ea1108cbf995)


# Download Now 👇
<br> <p align='center'> [<img src="https://img.shields.io/badge/Download-Custom%20Tkinter%20Builder-informational?&logo=python&logoColor=yellow&color=green" width="350">](https://github.com/rigvedmaanas/CustomTkinterBuilder/releases/tag/v1.0.0)  </br>

# Available Widgets

- Frame
- Button
- Label
- Entry
- Vertical Scrollable Frame
- Horizontal Scrollable Frame
- Switch
- Check Box
- Radio Button
- Segmented Button
- Horizontal Slider
- Vertical Slider
- Combo Box
- Option Menu
- Text Box
- Progress Bar
- Vertical Scrollbar
- Horizontal Scrollbar

***Please do star the project if you like it***


# Documentation

Detailed documentation of the project is available [here](https://github.com/rigvedmaanas/CustomTkinterBuilder/wiki).

# Upcoming Features

- [ ] Support for place and grid manager
- [ ] Support other libraries (Video Player, GIF Player, Slide View, Graph, Code Viewer, etc)
- [ ] Support for Tree View
- [ ] Support for Tab View

# Licence

The software `Custom Tkinter Builder` comes under GNU License while the project file and the code generated by Custom Tkinter Builder belongs to the user and does not belong to `Custom Tkinter Builder`
